<?php
/**
@file
@brief 現在登録されている宴会の一覧を表示する 
@version $Id: submit.php,v 1.8 2005/03/13 08:45:41 minahito Exp $
*/

$xoopsOption['nocommon']=true;
include_once "../../mainfile.php";
include_once XOOPS_ROOT_PATH."/modules/exFrame/frameloader.php";
include_once "./class/global.php";

// Form を読み込む
include_once "exComponent/Input.php";
include_once "include/PartyForm.php";

// session_start
include_once XOOPS_ROOT_PATH."/include/common.php";
include_once XOOPS_ROOT_PATH."/header.php";

if(!is_object($xoopsUser))
	redirect_header(XOOPS_URL."/user.php",2,"登録会員でなければ宴会登録できません");

exPerm::GuardRedirect('post_party','index.php',_MD_BXPARTY_ERRMES_PERM);

$compo = new exInputComponent(null,new PartyInputComponentRender(),'edit_party',
		new PartyForm(),new exSuccessForwardConfig(EXFORWARD_LOCATION,'submit_confirm.php'));

switch($ret=$compo->init()) {
	case COMPONENT_INIT_FAIL:
		die;
		break;

	case ACTIONFORM_INIT_FAIL:
		print $compo->form_->getHtmlErrors();
		$compo->display();
		break;

	case COMPONENT_INIT_SUCCESS:
		$compo->display();
		break;
}

include_once XOOPS_ROOT_PATH."/footer.php";
?>